%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-marshalling
Version:          1.4.11
Release:          %mkrel 1
Group:            Development/Java
Summary:          JBoss Marshalling
# LGPLv2 ./serial/src/main/java/org/jboss/marshalling/serial/UnknownDescriptor.java
License:          ASL 2.0 and LGPLv2+
URL:              http://jbossmarshalling.jboss.org/
BuildArch:        noarch

Source0:          https://github.com/jboss-remoting/jboss-marshalling/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)
BuildRequires:    mvn(org.testng:testng)
BuildRequires:    mvn(jdepend:jdepend)
BuildRequires:    mvn(org.jboss.apiviz:apiviz)

%description
JBoss Marshalling is an alternative serialization API that fixes many
of the problems found in the JDK serialization API while remaining
fully compatible with java.io.Serializable and its relatives, and adds
several new tunable parameters and additional features, all of which
are pluggable via factory configuration (externalizers, class/instance
lookup tables, class resolution, and object replacement, to name a
few).

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains %{summary}.

%package osgi
Summary:          JBoss Marshalling OSGi Bundle

%description osgi
JBoss Marshalling OSGi Bundle.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin -r :maven-shade-plugin
%pom_disable_module tests

# Conditionally remove dependency on apiviz
if [ %{?rhel} ]; then
    %pom_remove_plugin :maven-javadoc-plugin
fi

%mvn_package :jboss-marshalling-osgi osgi

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%files osgi -f .mfiles-osgi




%changelog
* Tue May 02 2017 neoclust <neoclust> 1.4.11-1.mga6
+ Revision: 1098719
- New version ( needed by jetty )
- Second rebuild of the java stack

  + daviddavid <daviddavid>
    - fix FTBFS rhbz#1307648
    - add BR jdepend
    - introduce license macro

* Fri Feb 26 2016 neoclust <neoclust> 1.4.6-3.mga6
+ Revision: 979531
- First rebuild of the java stack
- sync package jboss-marshalling with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 745557
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-2.mga4
+ Revision: 541937
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.4.1-1.mga4
+ Revision: 496555
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.9-2.mga3
+ Revision: 355076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 1.3.9-1.mga3
+ Revision: 263332
- Sync with fedora

  + gil <gil>
    - update to 1.3.9.GA
    - imported package jboss-marshalling


* Tue Jul 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.0-1
- Initial packaging

